## IdeBuilder IdeBuilder |

## Functions

#define | IDE_TYPE_BUILDER
void | ide_builder_build_async ()
IdeBuildResult * | ide_builder_build_finish ()

## Types and Values

enum | IdeBuilderBuildFlags
struct | IdeBuilderClass
| IdeBuilder

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeBuilder

## Description

## Functions

### IDE_TYPE_BUILDER

    #define IDE_TYPE_BUILDER (ide_builder_get_type())

### ide_builder_build_async ()

    void
    ide_builder_build_async (IdeBuilder *builder,
                             IdeBuilderBuildFlags flags,
                             IdeBuildResult **result,
                             GCancellable *cancellable,
                             GAsyncReadyCallback callback,
                             gpointer user_data);

### ide_builder_build_finish ()

    IdeBuildResult *
    ide_builder_build_finish (IdeBuilder *builder,
                              GAsyncResult *result,
                              GError **error);

Completes an asynchronous request to build the project.

#### Returns

An IdeBuildResult or `NULL` upon failure.

[transfer full]

## Types and Values

### enum IdeBuilderBuildFlags

#### Members

IDE_BUILDER_BUILD_FLAGS_NONE |  |
IDE_BUILDER_BUILD_FLAGS_FORCE_REBUILD |  |

### struct IdeBuilderClass

    struct IdeBuilderClass {
      IdeObjectClass parent;

      void            (*build_async)  (IdeBuilder           *builder,
                                       IdeBuilderBuildFlags  flags,
                                       IdeBuildResult      **result,
                                       GCancellable         *cancellable,
                                       GAsyncReadyCallback   callback,
                                       gpointer              user_data);
      IdeBuildResult *(*build_finish) (IdeBuilder           *builder,
                                       GAsyncResult         *result,
                                       GError              **error);
    };

### IdeBuilder

    typedef struct _IdeBuilder IdeBuilder;